﻿#Commands follow Verb-Noun syntax. For example, If you want to get help you can use 
#Get-Help

#Get Help for understanding how to use commands
Get-Help

#What Commands are built into PowerShell?
Get-Help Get-Command

#Get all PowerShell Commands
Get-Command

#Run Command with an parameter named "Verb" and a value named "Get"
Get-Command -Verb Get

#Get SQL Server Commands
Get-Command -Module "SQLServer"
Get-Command | where-object {$_.ModuleName -eq "SQLServer"}

Get-Help Get-SqlData -Examples

$drow = Get-SQLData -sqlserver localhost -dbname master -qry "Select * from sys.databases where name like 'master'"
#print drow
#$drow
$drow

$drow | Select-Object -Property name, create_date, is_read_only, is_auto_close_on, is_auto_shrink_on

Get-Help Get-Service
Get-Help Get-Service -Examples
Get-Help Get-Service -Detailed

Get-Service 

#Get SQL Server services
Get-Service -Name "SQL*"
Get-Service -ComputerName "localhost" | 
Where {$_.DisplayName -like "SQL*" -or $_.DisplayName -like "MSSQL*"}

Get-Help Start-Service -Example

#Start and stop local services#
Start-Service -Name "SQLSERVERAGENT"
Stop-Service -Name "SQLSERVERAGENT"

Get-Help Set-Service 

#How to start/stop service on remote machine 
Set-Service -ComputerName "localhost" -Status Running -Name "SQLSERVERAGENT"
Set-Service -ComputerName "localhost" -Status Stopped -Name "SQLSERVERAGENT"

#Stop services that have dependencies
$service = get-service -name "SQLSERVERAGENT" -computername "localhost"
$service.Stop()

Get-Service -ComputerName "localhost" | Where {$_.DisplayName -like "SQL*" -or $_.DisplayName -like "MSSQL*"}
